Get Invoices for a Claim
Path
GET /claims/{claimNumber}/invoices Request Parameters
X-Client-Global-Id
number
Client Global Id header. Used for internal communication only
X-Client-Reference
array
Client reference header. Used for internal communication only
claimNumber
required
string
claim number of the requested claim
page
integer default: 1
The current page number.
pageSize
integer default: 10
The number of items per page.
Responses
-
arrayinvoiceNumberstringMax length: 40The invoice number assigned by the client for each invoice.referenceNumberstringMax length: 40Can be used to specify an additional reference number. For example, if the accounting system prints a different document number than the invoice number on the invoice for teh customer.invoiceDatestringyyyy-MM-ddMax length: 10The invoice date represents the specific date on which the invoice was created or issued and indicates the time on which the claim arose.remainingAmountnumberMax length: 12This is the outstanding amount of the principal claim which needs to be collected by the Debt Collection Agency. A positive amount indicates a claim against the debtor. Negative amounts or 0 amounts are not allowed.originalAmountnumberMax length: 12This is the original amount of the principal claim. A positive amount indicates a claim against the debtor. Negative amounts or 0 amounts are not allowed.taxRatenumberMax length: 12The tax rate that was used.currencystringMax length: 3This reflects all relevant currencies in ISO-4217.dueDatestringyyyy-MM-ddMax length: 10The original due date of the claim.placementDatestringyyyy-MM-ddMax length: 10The date when the client sent the claim to the debt collection agency.objectCosts are occuring debts to pay by the customer.typestringMax length: 20Enum:
- FIXED
- REFERENCE
- ABOVE_REFERENCE
- EURIBOR_1
- EURIBOR_3
WARNING: This values are not the finale one. The type of a interest calculation.lastCalculationDatestringyyyy-MM-ddMax length: 10The date when the last interest calculation was. This is the date wehere we start to caculate the interest in our system. The interest start date/“Verzugsdatum” is in Germany an import information to compute interest of the claim.ratenumberMax length: 12This is the rate for the interests from the client.dunningDatestringyyyy-MM-ddMax length: 10The date when the first dunning was sent to the debtor.secondDunningDatestringyyyy-MM-ddMax length: 10The date when the second dunning was sent to the debtor.claimTypestringMax length: 40Enum:- PRINCIPAL_CLAIM
- INTEREST_BEARING_COMPENSATION
- NON_INTEREST_BEARING_PRINCIPAL_CLAIM
Most invoices should be reported as `PRINCIPAL_CLAIM`. Use `INTEREST_BEARING_COMPENSATION` for claims that represent damages which accrue interest (for example unpaid or returned hardware). Damages resulting from cancelled subscription fees must not be reported here — they should be handed over as costs. If you need to provide the aggregated sum of non-interest-bearing principal claim amounts from all positions, use `NON_INTEREST_BEARING_PRINCIPAL_CLAIM`.legalBasestringMax length: 40This is a German specific requirement. Depending on the legalBase ("Ursprungsgeschäftsart") the period of sending a case to court differs. Please discuss possibilities with German collection team. The default value is an empty field.descriptionstringMax length: 256This is a free text field, which can be used to describe the claim in more detail or to provide further information.disputedbooleanMax length: 5This field can be used to mark a claim as disputed by the client. The default value is "false".arrayA list of addtional properties, which belongs to the invoice.keystringvaluestringobjectPagination information for the response.totalItemsrequiredintegerThe total number of items available.pageSizerequiredintegerThe number of items per page.currentPagerequiredintegerThe current page number.totalPagesrequiredintegerThe total number of pages. -
-
Request Example
null
Response Example
{
"items": [
{
"dueDate": "2022-10-27",
"currency": "EUR",
"disputed": false,
"legalBase": "1UX1TELBztyvMSnmYH9NWgberF2cKCD",
"description": "Sed maxime consequatur.",
"dunningDate": "2024-07-20",
"invoiceDate": "2022-10-05",
"invoiceNumber": "I1684932565",
"placementDate": "2024-05-22",
"originalAmount": 877.2,
"remainingAmount": 535.37,
"secondDunningDate": "2025-08-20",
"interestCalculation": {
"rate": 7.254381189568966,
"type": "REFERENCE",
"lastCalculationDate": "2024-01-21"
},
"additionalProperties": [
{
"key": "natus",
"value": "Ad ipsa eum.",
"additionalProperties": {}
},
{
"key": "rem",
"value": "Ullam corrupti eligendi.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2023-11-05",
"currency": "EUR",
"disputed": true,
"legalBase": "1RDVmYK26kAXLCiy1JZxGhBePj",
"description": "Minus delectus id.",
"dunningDate": "2024-10-04",
"invoiceDate": "2023-10-19",
"invoiceNumber": "I57391660",
"placementDate": "2024-05-22",
"originalAmount": 848.03,
"remainingAmount": 151.46,
"secondDunningDate": "2025-09-29",
"interestCalculation": {
"rate": 9.2388287351557,
"type": "FIXED",
"lastCalculationDate": "2024-02-01"
},
"additionalProperties": [
{
"key": "quisquam",
"value": "Magni a est.",
"additionalProperties": {}
},
{
"key": "sit",
"value": "Sed odit voluptates.",
"additionalProperties": {}
},
{
"key": "qui",
"value": "Porro aut omnis.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2024-05-07",
"currency": "EUR",
"disputed": false,
"legalBase": "3x7VkgviWB6G5FjedDtfKQrqTX",
"description": "Nostrum nihil doloribus.",
"dunningDate": "2025-01-16",
"invoiceDate": "2024-04-21",
"invoiceNumber": "I1431806608",
"placementDate": "2024-05-22",
"originalAmount": 976.02,
"remainingAmount": 213.92,
"secondDunningDate": "2025-09-06",
"interestCalculation": {
"rate": 6.370293252102546,
"type": "FIXED",
"lastCalculationDate": "2024-01-04"
},
"additionalProperties": [
{
"key": "quisquam",
"value": "Suscipit voluptate ab.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2023-02-13",
"currency": "EUR",
"disputed": false,
"legalBase": "1n4VsSqa7KrbUQt52m1PFCxYEXZgN",
"description": "Qui quasi cumque.",
"dunningDate": "2024-12-27",
"invoiceDate": "2023-02-06",
"invoiceNumber": "I464109438",
"placementDate": "2024-05-22",
"originalAmount": 1549.06,
"remainingAmount": 604.56,
"secondDunningDate": "2026-03-30",
"interestCalculation": {
"rate": 0.3885861318687087,
"type": "FIXED",
"lastCalculationDate": "2023-07-03"
},
"additionalProperties": [
{
"key": "quo",
"value": "Est mollitia aut.",
"additionalProperties": {}
},
{
"key": "nesciunt",
"value": "Voluptatem sed laboriosam.",
"additionalProperties": {}
},
{
"key": "ullam",
"value": "Iusto animi et.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2024-01-12",
"currency": "EUR",
"disputed": false,
"legalBase": "3qpd7m9LMA8neCKTPvYkZ4txjSbGBg",
"description": "Sapiente eum ipsum.",
"dunningDate": "2025-01-19",
"invoiceDate": "2024-01-02",
"invoiceNumber": "I1336129147",
"placementDate": "2024-05-22",
"originalAmount": 891.23,
"remainingAmount": 469.56,
"secondDunningDate": "2026-01-05",
"interestCalculation": {
"rate": 9.31892706080737,
"type": "ABOVE_REFERENCE",
"lastCalculationDate": "2023-06-27"
},
"additionalProperties": [
{
"key": "hic",
"value": "Eligendi impedit modi.",
"additionalProperties": {}
},
{
"key": "vitae",
"value": "Officia eum culpa.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2024-01-02",
"currency": "EUR",
"disputed": true,
"legalBase": "1c31b8HqkXEf6Sy4egLKGx7p9m5QsWYBV",
"description": "Dolorum autem magnam.",
"dunningDate": "2024-06-26",
"invoiceDate": "2023-12-04",
"invoiceNumber": "I1398114345",
"placementDate": "2024-05-22",
"originalAmount": 988.33,
"remainingAmount": 688.33,
"secondDunningDate": "2025-07-02",
"interestCalculation": {
"rate": 0.2820142971318836,
"type": "FIXED",
"lastCalculationDate": "2023-11-05"
},
"additionalProperties": [
{
"key": "nostrum",
"value": "Vel ea corporis.",
"additionalProperties": {}
},
{
"key": "dolores",
"value": "Similique occaecati enim.",
"additionalProperties": {}
},
{
"key": "magnam",
"value": "At non perspiciatis.",
"additionalProperties": {}
},
{
"key": "voluptatem",
"value": "Id omnis voluptatum.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2024-02-18",
"currency": "EUR",
"disputed": true,
"legalBase": "1GptZT7dbuf6y8Nv3KRYwmSEix",
"description": "Tempore numquam dolores.",
"dunningDate": "2024-08-15",
"invoiceDate": "2024-01-30",
"invoiceNumber": "I1639371044",
"placementDate": "2024-05-22",
"originalAmount": 1322.36,
"remainingAmount": 701.62,
"secondDunningDate": "2025-05-23",
"interestCalculation": {
"rate": 0.8154999438319949,
"type": "REFERENCE",
"lastCalculationDate": "2023-10-17"
},
"additionalProperties": [
{
"key": "eius",
"value": "Et illo perferendis.",
"additionalProperties": {}
},
{
"key": "officiis",
"value": "Odit minima est.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2024-06-03",
"currency": "EUR",
"disputed": false,
"legalBase": "36PSkC5pT3jWVM2ich9bd1ArRFmEgtsQBZ",
"description": "Est consequuntur dolor.",
"dunningDate": "2025-03-03",
"invoiceDate": "2024-05-15",
"invoiceNumber": "I900135042",
"placementDate": "2024-05-22",
"originalAmount": 420.02,
"remainingAmount": 152.15,
"secondDunningDate": "2026-01-28",
"interestCalculation": {
"rate": 8.225334429755335,
"type": "FIXED",
"lastCalculationDate": "2024-03-24"
},
"additionalProperties": [
{
"key": "odit",
"value": "Vel qui ut.",
"additionalProperties": {}
},
{
"key": "voluptas",
"value": "Sequi iure atque.",
"additionalProperties": {}
},
{
"key": "sunt",
"value": "Dolor veritatis hic.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2023-09-12",
"currency": "EUR",
"disputed": false,
"legalBase": "1PJck6vYw3nhe4N8D1rHCZpxgSKA2Qjf",
"description": "Placeat natus architecto.",
"dunningDate": "2024-08-11",
"invoiceDate": "2023-09-10",
"invoiceNumber": "I1950205814",
"placementDate": "2024-05-22",
"originalAmount": 762.91,
"remainingAmount": 600.75,
"secondDunningDate": "2025-05-27",
"interestCalculation": {
"rate": 0.6224208362008996,
"type": "REFERENCE",
"lastCalculationDate": "2023-09-28"
},
"additionalProperties": [
{
"key": "qui",
"value": "Architecto praesentium saepe.",
"additionalProperties": {}
}
]
},
{
"dueDate": "2024-05-27",
"currency": "EUR",
"disputed": false,
"legalBase": "3Yo9PkC4j3eWSc6LGR5txJpsMFwhUrNKTf",
"description": "Ipsa aspernatur magnam.",
"dunningDate": "2025-02-15",
"invoiceDate": "2024-05-17",
"invoiceNumber": "I172858887",
"placementDate": "2024-05-22",
"originalAmount": 991.22,
"remainingAmount": 401.96,
"secondDunningDate": "2025-10-23",
"interestCalculation": {
"rate": 2.837494662142072,
"type": "ABOVE_REFERENCE",
"lastCalculationDate": "2023-11-27"
},
"additionalProperties": [
{
"key": "placeat",
"value": "Perferendis architecto assumenda.",
"additionalProperties": {}
},
{
"key": "quia",
"value": "Qui soluta aliquam.",
"additionalProperties": {}
}
]
}
],
"pagination": {
"totalItems": 10,
"additionalProperties": {}
},
"additionalProperties": {}
}